<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="201" valign="top" background="images/bg.jpg"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="201" background="images/header.jpg" style="background-position:top left;background-repeat:no-repeat;">
		<!-- LOGO -->
		<table width="360" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td rowspan="2" style="padding-left:40px;padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a>
</td>
            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
		<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="46" background="images/001_1.gif" style="background-position:top ;background-repeat:repeat-x;">
	<!-- MENU -->
	<table  border="0" cellspacing="0" cellpadding="0">
      <tr>
        
		<td width="20"></td>
        <td><img src="images/001_2.gif" width="1" height="46"/></td>
        <xsl:call-template name="TOP-MENU"/>
        <td><img src="images/001_2.gif" width="1" height="46"/></td>
		<td width="20"></td>
      </tr>
    </table>
	<!-- END MENU -->
	</td>
  </tr>
  <tr>
    <td height="100%" valign="top">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="242" height="52"><img src="images/002.gif" width="242" height="52"/></td>
			<td height="51" background="images/006.gif" bgcolor="#FFFFFF">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="51" background="images/006_1.gif" style="background-position:top left;background-repeat:no-repeat;">
				  <table  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td class="pa"><img src="images/010.gif" width="16" height="16"/></td>
                        <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      </tr>
                  </table></td>
                </tr>
            </table></td>
	  </tr>
      <tr>
          <td valign="top" bgcolor="#FFFFFF" style="padding-top:20px;padding-bottom:20px;padding-left:30px;padding-right:10px;">
		  <!-- SUBMENU -->
              <table width="192" border="0" cellspacing="0" cellpadding="0">
                <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
              </table>
              <!-- END SUBMENU -->
          </td>
        <td width="100%" height="100%" valign="top" background="images/cbg.gif"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" height="100%" valign="top" background="images/cbg1.gif" class="page" >
			<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
			</td>
          </tr>
        </table></td>
      </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td height="1" bgcolor="#FFFFFF"><img src="images/123.gif" width="780" height="1"/></td>
  </tr>
  <tr>
    <td height="100" valign="top" background="images/008.gif" bgcolor="#ECE9E4" style="background-position:top left;background-repeat:no-repeat;padding-top:20px;"><table  border="0" cellspacing="0" cellpadding="0">
      <tr><!-- FOOTER -->	  
        <td class="copyright" style="padding-left:252px"><div align="left"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
      <!-- END FOOTER --></tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="ss"><img src="images/005_1.gif" width="16" height="16"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
 <td class="ss"><img src="images/005.gif" width="16" height="16"/></td>
 <td ><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
 </tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="20" colspan="2" ></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
