<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="750" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<TR>
        		<TD width="179" height="65" valign="bottom" style="background-color: #197480; background-image:  url('images/company_bg.gif'); background-repeat: repeat-y; border-bottom: 1px solid white;">
        			<table cellpadding="0" cellspacing="0" style="margin: 5px 0px 5px 0px;">
        				<tr><td class="company" style="padding-left: 30px"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td><td valign="bottom"><img src="images/company_bullet.gif" style="margin: 0px 10px 0px 5px;"/></td></tr>
        			</table>
        		</TD>
        		<TD width="571" height="65" valign="bottom">
        		<!-- MENU -->

        			<!-- CALL MAIN-MENU-->
        			<xsl:call-template name="TOP-MENU"/>


        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="750" height="207" align="right" valign="bottom" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        		<!-- HEADER -->
        			<table cellpadding="0" cellspacing="0" style="margin: 35px;" align="right">
        				<tr><td align="right"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
        				<tr><td align="right" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
        				<tr><td align="right" class="url"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></td></tr>
        			</table>
        		<!-- END HEADER -->		
        		</TD>
        	</TR>
        	<TR>
        		<TD width="179" height="100%" style="background-color: #589FA8; background-image:  url('images/submenu_bg.gif'); background-repeat: repeat-y;" valign="top">
        		<!-- SUBMENU -->
        			<table cellpadding="0" cellspacing="0" width="179" style="background-color: #589FA8; background-image:  url('images/submenu_mbg.gif'); background-repeat: repeat-y; border-bottom: 1px solid white;">
        				<tr>
        					<td valign="top" height="205" style="background-image: url('images/submenu_tbg.jpg'); background-repeat: no-repeat;">

                				<!-- CALL SUB-MENU-->
                				<xsl:call-template name="SUB-MENU">
                					<xsl:with-param name="pageID" select="@ID"/>
                				</xsl:call-template>

        					</td>
        				</tr>
        			</table>
        		<!-- END SUBMENU -->
        		</TD>
        		<TD width="571" height="100%" valign="top">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="524" style="margin: 20px;">
        				<tr><td class="text-header" style="padding-bottom: 10px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr>
        					<td width="524" class="text">

		        				<xsl:apply-templates select="PAGE-CONTENT"/>

        					</td>
        				</tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="750" height="52" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x; padding: 10px 10px 0px 0px" align="right" class="footer" valign="top">
        		<!-- FOOTER -->
					<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>        			
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-->

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  


	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" style="margin: 27px 5px 5px 55px;">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" style="margin: 27px 5px 5px 55px;">
				   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
