<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<HTML>

                <head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>

<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
<TABLE WIDTH="760" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
	<TR>
		<TD colspan="2" width="760" height="82" valign="top">
			<table cellpadding="0" cellspacing="0" width="760" height="82" border="0">
				<tr>
					<td width="241" style="background-image: url('images/url_bg.gif'); background-repeat: no-repeat; padding-left: 15px;" class="url">
						<img src="images/house.gif" border="0" style="margin-right: 5px;" align="absmiddle"/><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/>
					</td>
					<td width="519" valign="top">
						<table cellpadding="0" cellspacing="0" width="519" height="22">
							<tr>
								<td width="14" class="bg"><div style="width:14px; height:1px;"><spacer type="block" width="14" height="1"/></div></td>
								<td width="505" class="slogan" bgcolor="#55626A" style="padding-left: 10px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD colspan="2" height="2" bgcolor="#B0B0B0"></TD></TR>
	<TR><TD colspan="2" height="1"></TD></TR>
	<TR>
		<TD colspan="2" height="27" class="menu-bg">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0" align="center" height="27">
				<tr>
					<td width="13"></td>
					
					<xsl:call-template name="TOP-MENU"/>
					
				</tr>
			</table>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR><TD colspan="2" height="1"></TD></TR>
	<TR>
		<TD colspan="2" height="143" valign="top" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" width="760" height="143" border="0">
			   	<tr><td colspan="3" height="50%"></td></tr>
				<tr>
					<td width="20"></td>
					<td width="240" class="company" style="padding-left: 20px;">
					<!-- LOGO -->
						<a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;" align="absmiddle"/></a><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
			      	<!-- END LOGO -->
					</td>
					<td width="500"></td>
				</tr>
				<tr><td colspan="3" height="50%"></td></tr>
			</table>
		</TD>
	</TR>
	<TR><TD colspan="2" height="1"></TD></TR>
	<TR>
		<TD valign="top" width="568" height="100%">
			<table cellpadding="0" cellspacing="0" width="568">
				<tr>
					<td width="157" height="5" class="bg"></td>
					<td width="411" bgcolor="#55626A"></td>
				</tr>
				<tr><td colspan="2" height="11"></td></tr>
			</table>
			<table cellpadding="0" cellspacing="0" width="568" height="100%">
				<tr>
					<td width="10"></td>
					<td colspan="2" width="548" height="100%" bgcolor="#EEF1F3" valign="top">
					<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" width="490" style="margin-left: 10px;">
							<tr><td height="10"></td></tr>
							<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
							<tr><td height="10"></td></tr>
							<tr>
								<td class="text" width="490">
									<xsl:apply-templates select="PAGE-CONTENT"/>
								</td>
							</tr>
							<tr><td height="20"></td></tr>
						</table>
					<!-- END CONTENT -->
					</td>
					<td width="10"></td>
				</tr>
			</table>
		</TD>
		<TD valign="top" width="192" height="100%">
			<table cellpadding="0" cellspacing="0" height="163" width="192" bgcolor="#55626A">
				<tr>
					<td valign="top">		
					<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="160" style="margin: 15px 0px 15px 0px;">
							<xsl:call-template name="SUB-MENU">
		        			<xsl:with-param name="pageID" select="@ID"/>
		        			</xsl:call-template>
						</table>
					<!-- END SUBMENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD colspan="2" height="11"></TD></TR>
	<TR>
		<TD colspan="2" height="30" class="bg">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr>
					<td width="10"></td>
					
					<xsl:call-template name="BOTTOM-MENU"/>
					
				</tr>
			</table>
		<!-- END BOOTTOM MENU -->
		</TD>
	</TR>
	<TR>
		<TD colspan="2" height="30" class="bg" align="center">
		<!-- FOOTER -->
		<span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
</td></tr></table>
</BODY>

</HTML>

	</xsl:template>



	<xsl:template name="TOP-MENU">
			<xsl:apply-templates select="MENU" mode="top"/>	
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
				
							
							
				
	
	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>								
					<td style="padding-left: 10px"><img src="images/submenu_bullet.gif"/></td>
					<td style="padding-left: 5px" height="20" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				</tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>								
						<td style="padding-left: 10px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
						<td style="padding-left: 5px" height="20" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					</tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>

	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td width="10"></td>
					<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
					<td width="10"></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td width="10"></td>
					<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
					<td width="10"></td>
                </xsl:when>
                <xsl:otherwise>
	   				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td width="10"></td>
					<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
					<td width="10"></td>
                </xsl:otherwise>
            </xsl:choose>
	</xsl:template>
	
	
	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
