<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body bgcolor="#ffffff" link="#df2e2e" alink="#df2e2e" vlink="#df2e2e" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">

        <table border="0" cellspacing="0" cellpadding="0" width="100%">
        <tr>
         <td bgcolor="#323232"><div style="width:780px; height:25px;"><spacer type="block" width="780" height="25" /></div></td>
        </tr>
        <tr>
         <td><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td>
        </tr>
        <tr>
         <td>
          <table border="0" cellspacing="0" cellpadding="0" width="100%">
          <tr valign="top">
           <td width="50%">
            <table border="0" cellspacing="0" cellpadding="0" width="100%">
            <tr><td class="header" height="72" style="padding-left:20px;">
             <table border="0" cellspacing="0" cellpadding="0">
             <tr>
              <td><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" /></a></td>
              <td style="padding-left:10px;">
               <table border="0" cellspacing="0" cellpadding="0">
               <tr><td style="color:#ffffff; font-size:14pt;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
               <tr><td style="color:#ffffff; font-size:8pt;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
               </table>
              </td>
             </tr>
             </table>
            </td></tr>
            <tr><td bgcolor="#d0dade"><div style="width:1px; height:5px;"><spacer type="block" width="1" height="5" /></div></td></tr>
            <tr><td style="padding:4px;">
        		<!-- MENU -->
    					<!-- CALL TOP-MENU-->
    					<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->

            </td></tr>
            </table>
           </td>
           <td>
            <table border="0" cellspacing="0" cellpadding="0">
            <tr valign="top">
             <td><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td>
             <td>
              <table border="0" cellspacing="0" cellpadding="0">
              <tr><td class="header2" height="29" style="padding-left:20px; color:#ffffff; font-size:7pt;"><img src="images/house.gif" border="0" width="7" height="7" alt="" align="absmiddle" style="margin-right:10px;" /><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></td></tr>
              <tr><td style="padding-top:1px;"><img src="images/header.jpg" border="0" width="379" height="266" alt="" /></td></tr>
              </table>
             </td>
             <td><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td>
            </tr>
            </table>
           </td>
           <td width="50%">
            <table border="0" cellspacing="0" cellpadding="0" width="100%">
            <tr><td bgcolor="#98adb5"><div style="width:1px; height:29px;"><spacer type="block" width="1" height="29" /></div></td></tr>
            <tr><td><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
            <tr><td bgcolor="#bbc8cd">
				<table border="0" cellspacing="0" cellpadding="0" width="100%">
   					<!-- CALL SUB-MENU-->
   					<xsl:call-template name="SUB-MENU">
   						<xsl:with-param name="pageID" select="@ID"/>
   					</xsl:call-template>
				</table>
            </td></tr>
            </table>
           </td>
          </tr>
          </table>
         </td>
        </tr>
        <tr>
         <td style="padding:0px 10px 20px 10px;">
          <table border="0" cellspacing="0" cellpadding="3" width="100%">
          	<tr><td bgcolor="#f0f3f3">
				<table border="0" cellspacing="0" cellpadding="15" width="100%">
           		<tr><td bgcolor="#ffffff" class="pageContent">
	               <p style="font-size:14pt; font-weight:bold;">
		               <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        	       </p>
					<xsl:apply-templates select="PAGE-CONTENT"/>
           		</td></tr>
	           </table>
          	</td></tr>
          </table>
         </td>
        </tr>

        <tr>
         <td>
          <table border="0" cellspacing="0" cellpadding="0" width="100%"><tr>
          <td width="1"><div style="width:1px; height:39px;"><spacer type="block" width="1" height="39" /></div></td>
          <td width="30%" align="center" style="color:#4e4e4e; font-size:8pt; font-family:Tahoma,Arial;">
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
          </td>

          <td width="70%" class="footer">

		
		<!-- BOTTOM-MENU -->
			<xsl:call-template name="BOTTOM-MENU"/>			
		<!-- END BOTTOM-MENU -->
           
          </td>
          </tr>
          </table>
         </td>
        </tr>
        </table>

        </body>

		</html>

	</xsl:template>



	<!-- SUB-MENU -->
	<xsl:template name="TOP-MENU">
			<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>

	<xsl:template match="MENU" mode="bottom">
	    <table border="0" cellspacing="0" cellpadding="0"><tr>
			<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	    </tr>
	    </table>
	</xsl:template>



	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		           <td class="bottommenuactive"><a class="bottommenuactive" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		           <td class="bottommenuactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                </xsl:when>
                <xsl:otherwise>
		           <td class="bottommenu"><a class="bottommenu" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
	</xsl:template>
	
	
	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
