<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>
		<HTML>
            <HEAD>
				<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
            	<xsl:apply-templates select="META-TAGS"/>
            	<LINK REL="stylesheet" HREF="css/styles.css" TYPE="text/css" />
				<style>
					img { behavior:url('images/pngbehavior.htc'); }
				</style>
            </HEAD>
            <body bgcolor="#ffffff" text="#333333" link="#cc0000" alink="#cc0000" vlink="#cc0000" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">

<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" align="center">
            <tr valign="top">
             <td width="35" style="background-image:url('images/leftbg.gif'); background-position: top right; background-repeat: repeat-y;"><div style="width:35px; height:50px;"></div></td>
             <td width="1"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td>
             <td width="100%">
              <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
              <tr><td height="144" align="right" background="images/header-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="144" align="right" style="background-image:url(images/header.jpg); background-repeat:no-repeat;"><table width="300" border="0" cellpadding="0" cellspacing="10" style="margin-right:30px;">
                      <tr>
                        <td width="40"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" /></a></td>
                        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                            </tr>
                            <tr>
                              <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                            </tr>
                        </table></td>
                      </tr>
                  </table></td>
                </tr>
              </table></td>
              </tr>
              <tr><td height="1"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
              <tr><td height="5" class="bg1"><div style="width:1px; height:5px;"><spacer type="block" width="1" height="5" /></div></td></tr>
              <tr><td height="1"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
              <tr><td height="38" bgcolor="#2c3942" align="center">

        			<!--CALL TOP-MENU -->
        			<xsl:call-template name="TOP-MENU"/>

              </td></tr>
              <tr><td height="100%" valign="top">
               <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
               <tr valign="top">
                <td width="193" bgcolor="#dee6ec">
                 <table border="0" cellspacing="0" cellpadding="0" width="193">
                 <tr><td bgcolor="#51606a" style="padding-top:15px ;padding-left:57px;padding-bottom:15px;">

               		<!-- SUB MENU -->
	       				<xsl:call-template name="SUB-MENU">
       					<xsl:with-param name="pageID" select="@ID"/>
       		  			</xsl:call-template>
    	       		<!-- END SUB MENU -->

                 </td></tr>
                 <tr><td height="1" bgcolor="#ffffff"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
                 <tr><td height="10" class="bg_color"><div style="width:1px; height:10px;"><spacer type="block" width="1" height="10" /></div></td></tr>
                 <tr><td height="1" bgcolor="#ffffff"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
                 </table>
                </td>
                <td style="padding:30px;">
                	<table border="0" cellspacing="0" cellpadding="0" width="100%">
                	<tr>
                	  <td class="text"><table  border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                          <td valign="middle" style="padding-left:10px;"><img src="images/texttitle.gif" width="17" height="17"/></td>
                        </tr>
                      </table></td>
              	  </tr>
                	<tr><td class="pageContent" style="padding-top:20px;">
    	                <xsl:apply-templates select="PAGE-CONTENT"/>
    	            </td></tr>
    	            </table>
					
                </td>
               </tr>
               </table>
              </td></tr>
              <tr><td height="1" bgcolor="#ffffff"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
              <tr><td height="10" class="bg_color"><div style="width:1px; height:10px;"><spacer type="block" width="1" height="10" /></div></td></tr>
              <tr><td height="1" bgcolor="#ffffff"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
              <tr>
                <td style="padding:20px;" align="center" >
				<table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td height="20" align="center">
					  <table  border="0" cellspacing="0" cellpadding="0">
					  <tr>
					  <xsl:call-template name="BOTTOM-MENU"/>
					  </tr>
					  </table>
					  </td>
                    </tr>
                    <tr>
                      <td align="center" class="footer" style="padding-top:8px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/> </td>
                    </tr>
                </table></td>
              </tr>
              </table>
             </td>
             <td width="1"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td>
             <td width="35" style="background-image:url('images/rightbg.gif'); background-position: top left; background-repeat: repeat-y;"><div style="width:35px; height:50px;"></div></td>
            </tr>
            </table>
						           </body>
		</HTML>
        
	</xsl:template>


	<!-- TOP-MENU -->
	<xsl:template name="TOP-MENU">
        <table border="0" cellspacing="0" cellpadding="0">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>				
			</tr>
		</table>
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
   			<xsl:choose>
   				<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
	                <table border="0" cellspacing="0" cellpadding="0">
   						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
   					</table>
   				</xsl:when>
   				<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
   					<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
	                <table border="0" cellspacing="0" cellpadding="0">
	   					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
	   				</table>
   				</xsl:when>
   				<xsl:otherwise></xsl:otherwise>
   			</xsl:choose>
	</xsl:template>

	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template>


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
	        <xsl:when test="@ID=/LAYOUT/@ID" >
                <tr height="18">
					<td><img src="images/2ndmenumark.gif" border="0" width="5" height="5" alt="" align="absmiddle" style="margin-right:5px; margin-top:2px;" /></td>
					<td ><span class="secondmenuitemactive" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
				</tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	                <tr height="18">
						<td><a href="{@HREF}"><img src="images/2ndmenumark.gif" border="0" width="5" height="5" alt="" align="absmiddle" style="margin-right:5px; margin-top:2px;" /></a></td>
						<td ><a class="secondmenuitem"  href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					</tr>
				</xsl:if>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>
	
		<!-- BOTTOM-MENU -->
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>		
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	                <td align="center"><a class="abmenu" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
	              <td align="center"><span class="abmenu" href="{@HREF}"> <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                </xsl:when>
                <xsl:otherwise>
	               <td align="center"> <a class="bmenu"  href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
			  		<xsl:if test="position()!=last()">
			<td width="70" align="center"><img src="images/bmenumr.gif" /></td>
			
  		</xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>


	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
