<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<body style="margin:0; background-color:#FFFFFF;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="15%" height="40" bgcolor="#2E2F31" class="urlborder"><table width="167"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="33" align="right"><img src="images/top-1.gif" width="7" height="7" /></td>
        <td width="101" style="padding-left:10px;"><span class="asubmenu"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></span></td>
      </tr>
    </table></td>
    <td width="85%" height="40" background="images/menu-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="1%"><img src="images/blank.gif" alt="" name="" width="1" height="40" /></td>
        <td width="95%"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
             <!--Menu-->
 <xsl:call-template name="TOP-MENU"/>
<!--End Menu-->
          </tr>
        </table></td>
        <td width="4%"><img name="" src="images/blank.gif" width="32" height="1" alt="" /></td>
      </tr>
    </table></td>
  </tr>
    <tr bgcolor="#FFFFFF">
  <td height="1" colspan="2">
  </td>
  </tr>
  
  <tr>
    <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td background="images/logo-bg.gif"><table width="100%" height="160" border="0" cellpadding="0" cellspacing="8">
          <tr>
            <td width="57%"></td>
            <td width="43%" rowspan="2" valign="top"><!--Logo-->
<div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div>
<!--End Logo--></td>
          </tr>
          <tr>
            <td><!--Company-->
<div align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
<!--End Company-->
</td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td background="images/sub-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td background="images/sub-top.gif"><img src="images/sub-top.gif" width="9" height="23" /></td>
          </tr>
          <tr>
            <td height="150" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="10%"><img name="" src="images/blank.gif" width="24" height="1" alt="" /></td>
                <td width="80%"><table width="100%" border="0" cellspacing="6" cellpadding="0">
                  <!--Sub Menu-->
<xsl:call-template name="SUB-MENU">	<xsl:with-param name="pageID" select="@ID"/></xsl:call-template> 
<!--End Menu-->
                </table></td>
                <td width="10%"><img name="" src="images/blank.gif" width="24" height="1" alt="" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td style="background-image:url(images/sub-bottom.gif); background-position:right bottom; background-repeat:no-repeat;"><img name="" src="images/blank.gif" width="1" height="42" alt="" /></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td background="images/header-bg.gif"><table width="592" height="322"  border="0" cellpadding="0" cellspacing="0" background="images/headers.jpg">
            <tr>
              <td align="center" valign="top"><table  border="0" cellspacing="15" cellpadding="0">
                  <tr>
                    <td class="slogan"> <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                  </tr>
              </table></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img name="" src="images/blank.gif" width="1" height="16" alt="" /></td>
          </tr>
          <tr>
            <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="4%"><img name="" src="images/blank.gif" width="16" height="1" alt="" /></td>
                <td width="95%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td><!--Content-->
<span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>

<!--End Content-->
</td>
                        <td><img src="images/txt-header.gif" width="17" height="17" hspace="9" /></td>
                      </tr>
                    </table></td>
                  </tr>
                  <tr>
                    <td><img name="" src="images/blank.gif" width="1" height="10" alt="" /></td>
                  </tr>
                  <tr>
                   <td valign="top"  name="SB_ stretch"><div class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></div></td>
                  </tr>
                </table></td>
                <td width="1%"><img name="" src="images/blank.gif" width="16" height="1" alt="" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td><img name="" src="images/blank.gif" width="1" height="32" alt="" /></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"><img name="" src="images/blank.gif" width="1" height="7" alt="" /></td>
    <td valign="top" background="images/logo-bg.gif"><img name="" src="images/blank.gif" width="1" height="7" alt="" /></td>
  </tr>
  <tr>
    <td valign="top"></td>
    <td valign="top"><table width="100%" height="60" border="0" cellpadding="0" cellspacing="8">
      <tr>
        <td><table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <!--bMenu-->
<xsl:call-template name="BOTTOM-MENU"/><!--End bMenu-->
          </tr>
        </table></td>
        </tr>
      <tr>
        <td><!--Footer-->
<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!--End Footer--></td>
        </tr>
    </table></td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	
		<xsl:when test="@ID=/LAYOUT/@ID" >
		
		<tr>
		        <td><img src="images/submenu.gif" border="0" /></td>
                <td><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
              </tr>
		
		</xsl:when>
		
		<xsl:otherwise>	
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			    <tr>
                <td><img src="images/submenu.gif" border="0" /></td>
				<td><a href="{@HREF}"  class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
		
			</xsl:if>
			
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		 
	</xsl:if>
	
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td><span class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td><img src="images/bmenu_separator.gif"  border="0" width="1" height="8" hspace="23" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>